itpp::Base_Slot< DataType > Class Template Referenceabstract

Base Slot class. More...

`#include <itpp/protocol/signals_slots.h>`

Inheritance diagram for itpp::Base_Slot< DataType >:

## Public Member Functions

| Base_Slot (const std::string slot_name="Unamed Base_Slot")
| Default Constructor.
virtual | ~Base_Slot ()
| Desctuctor.
void | set_name (const std::string &slot_name)
| set slot name
virtual void | operator() (DataType signal)=0
| ADD DOCUMENTATION HERE.

## Protected Types

typedef std::list< Signal< DataType > *, std::allocator< Signal< DataType > * > >::iterator | Signal_Iterator
| ADD DOCUMENTATION HERE.

## Protected Member Functions

void | _connect (Signal< DataType > *signal)
| ADD DOCUMENTATION HERE.
void | _disconnect (Signal< DataType > *signal)
| ADD DOCUMENTATION HERE.

## Protected Attributes

std::string | name
| ADD DOCUMENTATION HERE.
std::list< Signal< DataType > *, std::allocator< Signal< DataType > * > > | connected_signals
| ADD DOCUMENTATION HERE.

## Friends

class | Signal< DataType >

## Detailed Description

template<class DataType>
class itpp::Base_Slot< DataType >

Base Slot class.

Definition at line 184 of file signals_slots.h.

## Member Typedef Documentation

## Signal_Iterator

template<class DataType>

typedef std::list<Signal<DataType>*,std::allocator<Signal<DataType>*>>::iterator itpp::Base_Slot< DataType >::Signal_Iterator

protected

ADD DOCUMENTATION HERE.

Definition at line 204 of file signals_slots.h.

## Constructor & Destructor Documentation

## Base_Slot()

template<class DataType>

itpp::Base_Slot< DataType >::Base_Slot | ( | const std::string | slot_name = "Unamed Base_Slot< DataType >" | ) |

Default Constructor.

Definition at line 539 of file signals_slots.h.

References set_name().

Referenced by itpp::Slot< ObjectType, DataType >::Slot().

## ~Base_Slot()

template<class DataType>

itpp::Base_Slot< DataType >::~Base_Slot | ( |  | ) |

virtual

Desctuctor.

Definition at line 551 of file signals_slots.h.

References connected_signals.

## Member Function Documentation

## set_name()

template<class DataType>

void itpp::Base_Slot< DataType >::set_name | ( | const std::string & | slot_name | ) |

set slot name

Definition at line 545 of file signals_slots.h.

References name.

Referenced by Base_Slot().

## operator()()

template<class DataType>

virtual void itpp::Base_Slot< DataType >::operator() | ( | DataType | signal | ) |

pure virtual

ADD DOCUMENTATION HERE.

Implemented in itpp::Slot< ObjectType, DataType >, itpp::Slot< itpp::ACK_Channel, itpp::ACK * >, itpp::Slot< itpp::Packet_Channel, bool >, itpp::Slot< itpp::Packet_Channel, int >, itpp::Slot< itpp::Packet_Channel, itpp::Link_Packet * >, itpp::Slot< itpp::Packet_Generator, itpp::Packet * >, itpp::Slot< itpp::Selective_Repeat_ARQ_Receiver, itpp::Array< itpp::Packet * > >, itpp::Slot< itpp::Selective_Repeat_ARQ_Sender, void * >, itpp::Slot< itpp::TCP_Receiver, std::string >, and itpp::Slot< itpp::TTimer, double >.

## _connect()

template<class DataType>

void itpp::Base_Slot< DataType >::_connect | ( | Signal< DataType > * | signal | ) |

protected

ADD DOCUMENTATION HERE.

Definition at line 566 of file signals_slots.h.

References connected_signals.

Referenced by itpp::Signal< DataType >::connect().

## _disconnect()

template<class DataType>

void itpp::Base_Slot< DataType >::_disconnect | ( | Signal< DataType > * | signal | ) |

protected

ADD DOCUMENTATION HERE.

Definition at line 572 of file signals_slots.h.

References connected_signals.

## Friends And Related Symbol Documentation

## Signal< DataType >

template<class DataType>

friend class Signal< DataType >

friend

Definition at line 175 of file signals_slots.h.

## Member Data Documentation

## name

template<class DataType>

std::string itpp::Base_Slot< DataType >::name

protected

ADD DOCUMENTATION HERE.

Definition at line 206 of file signals_slots.h.

Referenced by itpp::Signal< DataType >::connect(), and set_name().

## connected_signals

template<class DataType>

std::list<Signal<DataType>*, std::allocator<Signal<DataType>* > > itpp::Base_Slot< DataType >::connected_signals

protected

ADD DOCUMENTATION HERE.

Definition at line 212 of file signals_slots.h.

Referenced by _connect(), _disconnect(), and ~Base_Slot().

The documentation for this class was generated from the following file:

- itpp/protocol/signals_slots.h

Generated on for IT++ by Doxygen 1.15.0